<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" integrity="sha512-iBBXm8fW90+nuLcSKlbmrPcLa0OT92xO1BIsZ+ywDWZCvqsWgccV3gFoRBv0z+8dLJgyAHIhR35VZc2oM/gI1w==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<div class="col-12 reviews-col">
    <? $request = $this->request; ?>
    <? if (count($this->items) > 0) : ?>
        <? $pages_count = ceil($this->count / $this->config['perPage']); ?>
        <? foreach ($this->items as $escort_review): ?>
            <? $reviewCity = $this->items[0]['city_title'] ?>
        <? endforeach; ?>
        <? if ($request->r_city): ?>
            <?= '<h2 class="ml-2">' . $pages_count * count($this->items) . ' escort reviews in ' . $reviewCity . '</h2>' ?>
        <? else: ?>
            <?= '<h2 class="ml-2">' . $pages_count * count($this->items) . ' escort reviews </h2>' ?>
        <? endif; ?>
    <? $rank = ( $this->page - 1 ) * 10 ; ?>
    <?php foreach ($this->items as $escort_review): ?>
        <?php
            $rank++;
            $escort = new Model_EscortItem();
            $is_inactive = $escort->getIsInactive($escort_review['escort_id']);
            ?>
        <div class="row review review-item no-gutters mt-3">
            <div class="col-4 col-sm-4 col-md-4 col-lg-2 review-images-col<?= $is_inactive ? ' inactive' : ''?>">
                <div class="d-flex">
                    <div class="image-cell">
                        <?php if($is_inactive): ?>
                            <div class="ribbon inactive"><span>Inactive</span></div>
                        <?php endif; ?>
                        <? if ($this->pageKey == 'top' && !$is_inactive): ?>
                            <? if ($rank > 9): ?>
                                <i class="fas fa-star red-star"></i>
                                <span class="number-in-star number-in-star-df"><?= $rank ?></span>
                            <? else: ?>
                                <i class="fas fa-star red-star"></i>
                                <span class="number-in-star"><?= $rank ?></span>
                            <? endif; ?>
                        <? endif; ?>
                        <img class="img-fluid first-image" src="<?php echo($escort_review['photo_url_0'] ? $escort_review['photo_url_0'] : '/img/photo-unavailable.jpg') ?>">
                        <div class="escort-showname-bg hidden-md-up">
                            <a href="<?= $this->getLink('escort-reviews', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>">
                                <div class="escort-showname"> <?= $escort_review['showname'] ?></div>
                                <div class="escort-city"> <?= $escort_review['city_title'] ?></div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-8 col-sm-6 col-md-8 col-lg-10 review-data-col d-flex flex-column">
                <div class="d-flex justify-content-between review-info-1 flex-column flex-md-row review-info-1 mb-0.5">
                    <? if ($this->pageKey == 'top'): ?>
                    <div class="escort-name hidden-sm-down">
                        <? if ($escort_review['review_count'] > 1): ?>
                            <a href="<?= $this->getLink('escort-reviews', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>"><?= $escort_review['showname'] . ' (' . $escort_review['review_count'] . ' reviews)'?> </a>
                        <? else:?>
                            <a href="<?= $this->getLink('escort-reviews', array('showname' => $escort_review['agency_name'], 'escort_id' => $escort_review['escort_id'])) ?>"><?= $escort_review['showname'] . ' (' . $escort_review['review_count'] . ' review)'?> </a>
                        <? endif; ?>
                    </div>
                    <? else: ?>
                        <? if ($escort_review['agency_name']): ?>
                            <div class="escort-name hidden-sm-down">
                                <a href="<?= $this->getLink('escort-reviews', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>"><?= $escort_review['showname'] ?></a>,
                                <a class="fw-300" href="<?= $this->getLink('agency-profile', array('agency_slug' => $escort_review['agency_name'], 'agency_id' => $escort_review['agency_id'])) ?>"><?= $escort_review['agency_name'] ?></a>
                            </div>
                        <? elseif ($escort_review['imported']): ?>
                            <div class="escort-name hidden-sm-down">
                                <a href="<?= $this->getLink('profile', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>"><?= $escort_review['showname'] ?> </a>
                            </div>
                            <? else: ?>
                            <div class="escort-name hidden-sm-down">
                                <a href="<?= $this->getLink('escort-reviews', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>"><?= $escort_review['showname'] ?> </a>
                            </div>
                        <? endif; ?>
                    <? endif; ?>
                    <? if (IS_MOBILE_DEVICE && $this->pageKey !== 'top') :?>
                        <span class="review-date">
                            <i class="ion-calendar"></i>
                            <?= (date('d M Y', $escort_review['creation_date']) == date('d M Y')) ? '<strong>' . $this->t('today') . '</strong>' : date('d M Y', $escort_review['creation_date']) ?>
                        </span>
                        <span class="">
                                <i class="ion-compose"></i> by
                                    <a href="<?= $this->getLink('member-info', array('username' => $escort_review['username'])) ?>" class="review-author-name"><?= $escort_review['username'] ?>,&nbsp;&nbsp;</a>
                        </span>
                    <? endif; ?>
                    <? if (!IS_MOBILE_DEVICE): ?>
                    <div class="reviews-looks-green d-inline-flex flex-column flex-sm-row">
                        <? if ($escort_review['imported']){
                            $escort_review['looks_rating'] = $escort_review['looks_rating'] * 2;
                            $escort_review['services_rating'] = $escort_review['services_rating'] * 2;
                        } ?>
                        <div class="mt-1 d-flex">
                             <span class="review-date hidden-sm-down mr-2">
                            <i class="ion-calendar"></i>
                            <?= (date('d M Y', $escort_review['creation_date']) == date('d M Y')) ? '<strong>' . $this->t('today') . '</strong>' : date('d M Y', $escort_review['creation_date']) ?>
                        </span>
                            <i class="ion-star yellow"></i><span class="looks"> Looks: <?= $escort_review['looks_rating'] ?></span><br>
                            <i class="ion-checkmark-circled green"></i><span> Massage: <?= $escort_review['services_rating'] ?></span>
                        </div>
                    </div>
                    <? else: ?>
                        <div class="reviews-looks-green d-inline-flex flex-column flex-sm-row">
                            <div class="mt-1 d-flex">
                                <i class="ion-star yellow ml"></i><span class="looks ml-1"> <?= $escort_review['looks_rating'] ?></span>
                                <i class="ion-checkmark-circled green ml-2"></i><span class="ml-1"> <?= $escort_review['services_rating'] ?></span>
                            </div>
                        </div>
                    <? endif; ?>
                </div>

                <div class="d-flex justify-content-between">
                   <div class="escort-city hidden-md-down">

                        <? if ($escort_review['agency_name']): ?>
                           <? /* <a href="<?= $this->getLink('profile', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>"><?= $escort_review['agency_name'] ?></a> */?>
                        <?php else: ?>
                            <a href="<?= $this->getLink('profile', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>">Independent Escort in</a>
                        <?php endif; ?>
                       <a href="<?= $this->getLink('escorts', array('city' => $escort_review['city_slug'], 'filter' => null, 'page' => null)) ?>"><?= $escort_review['city_title'] ? $escort_review['city_title'].'' : '' ?></a>

                    </div>
                </div>

                <div class="review-text">
                    <p><?= $escort_review['review'] ?></p>
                </div>

                <div class="d-flex justify-content-between review-info-2 flex-md-row mt-3">
                    <div class="author-date d-flex flex-row flex-sm-row">
                        <? if (!IS_MOBILE_DEVICE) :?>
                            <? if (($this->pageKey == 'top' && !$is_inactive)):?>
                                <span class="">
                                    <i class="ion-compose"></i> latest by
                                        <a href="<?= $this->getLink('member-info', array('username' => $escort_review['username'])) ?>" class="review-author-name"><?= $escort_review['username'] ?>,&nbsp;&nbsp;</a>
                                </span>
                            <? else: ?>
                                <? if ($escort_review['imported'] == false): ?>
                                    <span class="">
                                    <i class="ion-compose"></i> by
                                        <a href="<?= $this->getLink('member-info', array('username' => $escort_review['username'])) ?>" class="review-author-name"><?= $escort_review['username'] ?></a>
                                </span>
                                <? else: ?>
                                    <span class="">
                                    <i class="ion-compose"></i> by
                                        <span class="review-author-name"><?= $escort_review['username'] ?> on escortrankings</span>
                                </span>
                                <? endif; ?>
                            <? endif; ?>
                        <? endif; ?>

                        <? if (IS_MOBILE_DEVICE) :?>
                            <? if (($this->pageKey == 'top' && !$is_inactive && $escort_review['imported'] == false)):?>
                                <span class="">
                                    <i class="ion-compose"></i> latest by
                                        <a href="<?= $this->getLink('member-info', array('username' => $escort_review['username'])) ?>" class="review-author-name"><?= $escort_review['username'] ?>,&nbsp;&nbsp;</a>
                                </span>
                            <? else: ?>
                                <? if ($escort_review['imported'] == false): ?>
                                    <span class="">
                                    <i class="ion-compose"></i> by
                                        <a href="<?= $this->getLink('member-info', array('username' => $escort_review['username'])) ?>" class="review-author-name"><?= $escort_review['username'] ?></a>
                                </span>
                                <? else: ?>
                                    <span class="">
                                    <i class="ion-compose"></i> by
                                        <span class="review-author-name imported"><?= $escort_review['username'] ?> on escortrankings</span>
                                </span>
                                <? endif; ?>
                            <? endif; ?>
                        <? endif; ?>
                    </div>
                    <? if($escort_review['imported']): ?>
                    <div class="read-more">
                        <a href="<?= $escort_review['profileUrl']?>">
                            <button data-text="Read more" type="button" class="btn btn-blue btn-sm btn-primary read-more hidden-sm-down"></button>
                        </a>
                    </div>
                    <? else: ?>
                        <div class="read-more">
                            <a href="<?= $this->getLink('escort-reviews', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>">
                                <button data-text="Read more" type="button" class="btn btn-blue btn-sm btn-primary read-more hidden-sm-down"></button>
                            </a>
                        </div>
                    <? endif;?>
                </div>

                <div class="d-flex mt-auto review-info-3 hidden-md-up justify-content-end">
                    <a class="reviews-read-more" href="<?= $this->getLink('escort-reviews', array('showname' => $escort_review['showname'], 'escort_id' => $escort_review['escort_id'])) ?>">READ
                        MORE <span>»</span></a>
                </div>

            </div>
        </div>
    <?php endforeach; ?>
        <?php else:?>
        <h6>No escorts found.</h6>
    <?php endif;?>
</div>

<?php $pages_count = ceil($this->count / $this->config['perPage']); ?>
<?php if(!$this->fromEscortReview && $pages_count != 1 ): ?>

<nav aria-label="Page navigation">
    <ul class="pagination mt-2 d-flex justify-content-center justify-content-md-end justify-content-lg-end">
        <? $pages = $this->paging($this->count, $this->page, $this->config['perPage'], 3, 1); ?>
        <? if ( 1 < $this->page): ?>
            <li class="page-item">
                <a class="page-link" href="#" aria-label="Previous" data-page="<?= $this->page - 1;?>" name="page">
                    <span aria-hidden="true">&laquo;</span>
                    <span class="sr-only"><?= $this->t('previous') ?></span>
                </a>
            </li>
        <? endif ?>

        <? foreach ( $pages as $page ): ?>
            <li class="page-item <?= ($this->page == $page) ? 'active' : '' ?>">
                <a class="page-link" href="#" data-page="<?= $page;?>" name="page"><?= $page ?>
                </a>
            </li>
        <? endforeach ?>

        <? if ( $pages_count > $this->page): ?>
            <li class="page-item">
                <a class="page-link" href="#" aria-label="Next" data-page="<?= count($pages) + 1?>" name="page">
                    <span aria-hidden="true">&raquo;</span>
                    <span class="sr-only"><?= $this->t('next') ?></span>
                </a>
            </li>
        <? endif ?>
    </ul>
</nav>

    <div style="background: #f7f7f7; padding: 20px 35px; border-radius: 5px; text-align: justify">
        <?= __('review_seo_text') ?>
    </div>
<?php endif;?>